[arch-commits] Commit in orage/trunk (PKGBUILD orage.install)

Jan de Groot jgc at archlinux.org
Sun Jul 20 13:41:11 EDT 2008


    Date: Sunday, July 20, 2008 @ 13:41:11
  Author: jgc
Revision: 5761

upgpkg: orage 4.4.2-2

Modified:
  orage/trunk/PKGBUILD
  orage/trunk/orage.install

---------------+
 PKGBUILD      |    8 ++++----
 orage.install |    7 -------
 2 files changed, 4 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-20 17:40:43 UTC (rev 5760)
+++ PKGBUILD	2008-07-20 17:41:11 UTC (rev 5761)
@@ -3,7 +3,7 @@
 
 pkgname=orage
 pkgver=4.4.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A simple calendar application with reminders for Xfce"
 arch=(i686 x86_64)
 license=('GPL2')
@@ -17,9 +17,9 @@
 md5sums=('0c69e4c20350c3000d49350991d3a520')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
-    --localstatedir=/var --disable-static
+    --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }

Modified: orage.install
===================================================================
--- orage.install	2008-07-20 17:40:43 UTC (rev 5760)
+++ orage.install	2008-07-20 17:41:11 UTC (rev 5761)
@@ -1,5 +1,4 @@
 post_install() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -8,11 +7,5 @@
 }
 
 post_remove() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list